/**
 * EasyBeans
 * Copyright (C) 2006 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: JContainer3MBean.java 687 2006-06-19 14:59:24Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.objectweb.easybeans.container.management;

import javax.management.MBeanException;

import org.objectweb.easybeans.api.EZBContainerException;
import org.objectweb.easybeans.jsr77.EJBModuleMBean;

/**
 * MBean for {@link org.objectweb.easybeans.container.JContainer3}.
 * @author Guillaume Sauthier
 */
public class JContainer3MBean extends EJBModuleMBean {

    /**
     * Default ModelMBean constructor.
     * @throws MBeanException if ModelMBean creation fails.
     */
    public JContainer3MBean() throws MBeanException {
        super();
    }

    /**
     * Start this container.
     */
    public void start() {
        try {
            getManagedComponent().start();
        } catch (EZBContainerException ece) {
            getLogger().error("Cannot start the EJB Container", ece);
            throw new RuntimeException(ece);
        }
    }

    /**
     * Stop this container.
     */
    public void stop() {
        getManagedComponent().stop();
    }


}
